package my.test.sample;

import javax.annotation.PostConstruct;
import javax.ejb.Stateless;
import javax.inject.Inject;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;

import my.test.sample.Level;
import my.test.sample.Logger;
import my.test.sample.annotation.SystemLogger;

@Stateless(mappedName = "Test", name = "Test")
@WebService(name = "Test", portName = "TestPortType", serviceName = "Test", targetNamespace = "http://sample.test.my")
public class Test {
	
	@Inject
	@SystemLogger
	private Logger logger;
	
	public Test() {
		super();
	}
	
	@PostConstruct
	private void init() {
		
	}
	
	@WebMethod(operationName = "log")
	public boolean log(
			@WebParam(name = "level") String level,
			@WebParam(name = "message") String message) {
		try {
			Level lvl = Level.valueOf(level);
			
			if (this.logger.isLoggable(lvl)) {
				this.logger.log(lvl, message);
			}
			
			return true;
		} catch (Throwable t) {
			t.printStackTrace();
			
			return false;
		}
	}
	
}
