package my.test.sample;

import javax.enterprise.inject.Produces;
import javax.enterprise.inject.spi.InjectionPoint;

import my.test.sample.Level;
import my.test.sample.Logger;
import my.test.sample.annotation.SystemLogger;
import my.test.sample.impl.SystemLoggerImpl;

public class LoggerProducer {
	
	@Produces
	@SystemLogger
	public Logger getLogger(InjectionPoint ip) {
		String name = ip.getBean().getBeanClass().getName();
		
		return new SystemLoggerImpl(name, Level.INFO);
	}
	
}
