package my.test.sample.impl;

import my.test.sample.Level;
import my.test.sample.Logger;

public class SystemLoggerImpl implements Logger {
	
	private String name;
	private Level level;
	
	public SystemLoggerImpl(String name, Level level) {
		super();
		
		this.name = name;
		this.level = level;
	}
	
	@Override
	public boolean isLoggable(Level level) {
		return ( level.compareTo(this.level) >= 0 );
	}
	
	@Override
	public void log(Level level, String message, Object... args) {
		if (this.isLoggable(level)) {
			String msg = String.format(message, args);
			
			System.out.printf("[%s] %s - %s", level.toString(), this.name, msg);
			System.out.println();
		}
	}
	
}
